• Your favorite

    Apple

    ,

    iPhone

    ,

    iPad

    ,

    iOS

    ,
    Jailbreak
    , and
    Cydia
    site.
  • Blacksn0w for 3.1.3 3G/3GS with 05.11.07


    Well folks, the news has begun to spread about a new package for Blacksn0w and 3.1.3 on the 3G/3GS with baseband 05.11.07. This supposed new Blacksn0w package is put together by a user going by msft.guy.

    Here is a link to msft.guy's blog where he discusses the current issues as to why Blacksn0w wont work with 3.1.3.

    This tip comes in from a good friend (PushFix.info) who has gone ahead and packaged it together and gave it a shot on his iPhone 3GS. Here's what he had to say:

    Basically I have made two packages, both require 05.11.07 baseband:

    #1 Blacksn0w RC2 for 3.1.3 (Pwnagetool upgraded)

    msft.guy found the string that needed changing that makes blacksn0w work under 3.1.3. This is impressive in it's own right, but he also fixed a bug in Geohot's code that he identified. Although he didn't seem to know it, that bug was the cause of all the WiFi problems with blacksn0w (almost exclusively with the 3GS). By that I mean the issue where your phone works on one boot, but the next boot, your WiFi doesn't work and you have to reset network settings to get it to work. This is a great find and I don't even think he recognized what he fixed.

    #2 Blacksn0w RC2 for 3.1.2

    So, I applied that fix to regular old blacksn0w RC1 for 3.1.2 and again, it keeps the WiFi from getting broken. I have called it blacksn0w RC2. I have a 3GS that had constant WiFi problems with blacksn0w under 3.1.2. With this patched version of Geohot's unlock, WiFi works perfectly. I have powered off and rebooted more than 10 times and it has worked every single time now.
    It appears that msfit.guy has no intention of publicly releasing the fix and GeoHot is nowhere to be found to comment on the issue.

    The packages put together by PushFix.info have been tested by a handful of people and both appear to work flawlessly at this point.

    There are some issues with making this public as of right now, for example, if you are faking your OS version to be 3.1.3 and you install the 3.1.3 version of blacksn0w RC2 with 3.1.2 CommCenter, you will cause problems! Your cell and WiFi could be unresponsive until you either uninstalled the package again via Cydia or restored the phone.

    Besides the technical issues of current app compatibility, we feel it is appropriate to wait for GeoHot and msft.guy to respond and let us know their intentions.

    Once this package is made available, we will let you know.

    THIS IS NOT A NEW EXPLOIT! IT IS ESSENTIALLY AN PACKAGE PUT TOGETHER THAT UPDATES BLACKSN0W TO WORK WITH 3.1.3 on 05.11.07

    *Note: What we are referring to is a package put together by PushFix.info that contains msft.guy's work and geohot's blacksn0w.
    This article was originally published in forum thread: Blacksn0w for 3.1.3 3G/3GS with 05.11.07 started by nickhesson View original post